> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /microsoftstore/apps/reviews

> Get Microsoft Store product reviews by Store product ID or product page URL

**Price:** 5 credits per 25 results

**⚠️ Common errors:** 412: Product not found



## OpenAPI

````yaml /openapi/app-stores.json post /api/microsoftstore/apps/reviews
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/microsoftstore/apps/reviews:
    post:
      tags:
        - /microsoftstore
      summary: /microsoftstore/apps/reviews
      description: >-
        Get Microsoft Store product reviews by Store product ID or product page
        URL


        **Price:** 5 credits per 25 results


        **⚠️ Common errors:** 412: Product not found
      operationId: __api_microsoftstore_apps_reviews_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MicrosoftstoreReviewsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MicrosoftstoreReview'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MicrosoftstoreReviewsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        app:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        market:
          $ref: '#/components/schemas/MicrosoftstoreMarket'
          default: US
        locale:
          $ref: '#/components/schemas/MicrosoftstoreLocale'
          default: en-US
      type: object
      required:
        - app
        - count
    MicrosoftstoreReview:
      properties:
        '@type':
          type: string
          default: MicrosoftstoreReview
        id:
          type: string
        author:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          type: integer
          default: 0
        text:
          anyOf:
            - type: string
            - type: 'null'
        submitted_at:
          anyOf:
            - type: string
            - type: 'null'
        helpful_count:
          type: integer
          default: 0
        helpful_negative_count:
          type: integer
          default: 0
        os_version:
          anyOf:
            - type: string
            - type: 'null'
        device_family:
          anyOf:
            - type: string
            - type: 'null'
        is_verified:
          type: boolean
          default: false
        is_revised:
          type: boolean
          default: false
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    MicrosoftstoreMarket:
      type: string
      enum:
        - US
        - GB
        - CA
        - AU
        - DE
        - FR
        - IT
        - ES
        - NL
        - BR
        - MX
        - IN
        - JP
        - KR
        - TR
    MicrosoftstoreLocale:
      type: string
      enum:
        - en-US
        - en-GB
        - en-CA
        - en-AU
        - de-DE
        - fr-FR
        - it-IT
        - es-ES
        - nl-NL
        - pt-BR
        - es-MX
        - ja-JP
        - ko-KR
        - tr-TR
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````